<?php

namespace Booktics\Shortcode;

use Booktics\Contracts\Hookable_Service_Contract;
use Booktics\Shortcode\Booking_Shortcode;
use Booktics\Shortcode\Service_Shortcode;
use Booktics\Shortcode\Customer_Shortcode;
use Booktics\Shortcode\Category_Shortcode;

/**
 * Base shortcode class
 */
class Base_Shortcode implements Hookable_Service_Contract {
    /**
     * Register all shortcodes
     *
     * @return  void
     */
    public function register() {
        new Booking_Shortcode();
        new Service_Shortcode();
        new Customer_Shortcode();
        new Category_Shortcode();
    }
}
